Program TestAL;

Uses Crt, AL;

Var
  buffer : ALuint;
  source : ALuint;

  device : ALCDevice;
  context : ALCContext;

  test : Array[0..10000] OF Byte;
  z : LongInt;
  
Begin
  For z := 0 to 10000 Do
    test[z] := Round(100*sin(z*(2*pi)/50.0)+128);
  
  device := alcOpenDevice(NIL);
  context := alcCreateContext(device, Nil);
  Writeln(Longint(alcMakeContextCurrent(context)));
  
  alGenBuffers(1, buffer);
  alBufferData(buffer, 4352, test, 9360, 11025);

  alGenSources(1, source);
  
  alSourcei(source, AL_BUFFER, buffer);
  alSourcei(source, AL_LOOPING, AL_TRUE);
  alSourcePlay(source);
  Readkey;
  
  alcDestroyContext(context);
  alcCloseDevice(device);
End.
